%global debug_package %{nil}

Name:           fig
Version:        1.0.0
Release:        %mkrel 3
Summary:        Punctual, lightweight development environments using Docker
Group:          Development/Other
License:        Apache Software License
URL:            http://www.fig.sh
Source0:        https://pypi.python.org/packages/source/f/%{name}/%{name}-%{version}.tar.gz

# to get tests:
# git clone https://github.com/docker/fig && cd fig
# git checkout 1.0.0 && tar -czvf fig-1.0.0-tests.tar.gz tests/
#Source1:        fig-0.5.2-tests.tar.gz

Patch0: remove-requires-upper-bound.patch

BuildRequires:  python-devel
BuildRequires:  python-setuptools 
BuildRequires:  python-docker-py
BuildRequires:  docker
BuildRequires:  python-websocket-client
BuildRequires:  python-texttable
BuildRequires:  python-requests
BuildRequires:  PyYAML
BuildRequires:  python-docopt

Requires:       python-setuptools
Requires:       python-docker-py
Requires:       python-texttable
Requires:       python-docopt
Requires:       python-requests
Requires:       python-websocket-client
Requires:       python-six
Requires:       PyYAML
Requires:       docker

# Build only for architectures that docker functions on since this is a hard
# requirement for fig and at this time, only x86_64 is supported by docker
# upstream (docker.io)
ExclusiveArch:  x86_64

%description
Punctual, lightweight development environments using Docker

Fig allows you to:
  - Define your app's environment with Docker so it can be reproduced anywhere.
  - Define the services that make up your app so they can be run together in an
    isolated environment.
  - Run 'fig up', and Fig will start and run your entire app.

%prep
%setup -q 

%patch0 -p1

rm -r %{name}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Currently not running tests here as they require Docker to be running.
# The test suite passes on my machine, however.
#%check
#%{__python} setup.py test

%files
%doc CHANGES.md CONTRIBUTING.md README.md LICENSE 
%{_bindir}/%{name}
%{python_sitelib}/%{name}*



%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.0.0-3.mga6
+ Revision: 952195
- Mageia 6 Mass Rebuild

* Thu Jan 22 2015 bcornec <bcornec> 1.0.0-2.mga5
+ Revision: 811841
- bump release
- docker-io => docker

* Sun Dec 28 2014 juancho <juancho> 1.0.0-1.mga5
+ Revision: 806838
- imported package fig

